rc_mksid(3)

NAME
rc_mksid - Generate a "unique" session-ID string.

SYNOPSIS
#include <radcli/radcli.h>

char * rc_mksid(
    void
);

DESCRIPTION

This function is retained only for source compatibility with freeradius-client and radiusclient-ng. It returns a pointer to a static non-reentrant buffer that is overwritten on each call, making it unsafe in multi-threaded applications. Use snprintf into your own buffer instead:

charsid[15];

snprintf(sid,sizeof(sid),"%08lX%04X",(unsignedlong)time(NULL),getpid());

RETURN VALUE

pointer to a static buffer containing the ID string; overwritten by subsequent calls.

SEE ALSO

radcli.h(3)